
import java.util.*;
import java.io.*;

public class Library {

    public static void main(String[] args) {
	
	Set catalogue = new HashSet();
	
	Scanner sc = new Scanner(System.in);

	PrintStream out = System.out;

	boolean enterMoreBooks = true;

	while (enterMoreBooks) {

	    out.print("enter author: ");
	    String author = sc.nextLine();

	    out.print("enter title: ");
	    String title = sc.nextLine();

	    out.print("enter ISBN: ");
	    long isbn = sc.nextLong();
	    sc.nextLine();

	    catalogue.add(new Book(title, author, isbn));

	    out.print("more books? (y/n) ");
	    if (sc.nextLine().equals("n"))
		enterMoreBooks = false;
	}

	sc.close();

	out.println();
	out.println("the catalogue contains " + 
		    catalogue.size()+" books,");
	out.println("which are listed below:");
	out.println();

	Iterator it = catalogue.iterator();

	while (it.hasNext())
	    out.println(it.next());
    }
}
