
public class Book {

    private String title;
    
    private String author;

    private long isbn;
    
    public Book(String title, String author, long isbn) {
	this.title = title;
	this.author = author;
	this.isbn = isbn;
    }

    public boolean equals(Object obj) {
	if (obj instanceof Book) {
	    Book other = (Book) obj;
	    return (isbn == other.isbn);
	}
	return false;
    }

    public int hashCode() {
	return (int) isbn;
    }

    public String toString() {
	return title + "\n" + author + "\n" + "ISBN: " + isbn  + "\n";
    }

}

